Subject: Re: SHA-256 transition

From: Stephen Smith <[email-masked]>
Date: Wed, 22 Jun 2022 17:45:40 -0700

On Tuesday, June 21, 2022 5:29:59 PM MST brian m. carlson wrote:
> On 2022-06-21 at 10:25:01, Ævar Arnfjörð Bjarmason wrote:
> > But the reason I'd still say "no" on the technical/UX side is:
> >  * The inter-op between SHA-256 and SHA-1 repositories is still
> >  
> >    nonexistent, except for a one-off import. I.e. we don't have any
> >    graceful way to migrate an existing repository.
> 
> True, but that doesn't meant that new repositories couldn't use SHA-256.

So, any idea when a graceful way to migrate a repository might show up?

> 
> >  * For new repositories I think you'll probably want to eventually push
> >  
> >    it to one of the online git hosting providers, none of which (as far
> >    as I'm aware) support SHA-256 repos.
> 
> This, in my view, is the only compelling reason not to use it for new
> repositories.

Which is a reason to send patches by email.